axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Aaron Evans <aaronmev...@yahoo.ca>
Subject Re: [Axis2] - Minimum jars required for client to run
Date Thu, 19 Jan 2006 15:23:34 GMT
Eran Chinthaka <chinthaka <at> opensource.lk> writes:

> 
> 
> For Axis2 to run with minimal configuration, it should have common,
> xml, core and wsdl modules around. The min distribution contains only
> those. We packed the dependant jars for those modules with the min bin
> distribution. So the lib folder of the minimal distro should contain
> the minimal set of jars.
> 

Actually the min 0.94 distribution contains things like servletapi-2.3.jar and
maven-itest-plugin-1.0.jar, definitely not needed for a client to run.

In my case, my client can run with only the following jars:

axis-wsdl4j-1.2.jar
axis2-adb-0.94.jar
axis2-core-0.94.jar
commons-codec-1.3.jar
commons-httpclient-3.0.jar
commons-logging-1.0.4.jar
geronimo-spec-jms-1.1-rc4
log4j-1.2.12.jar
stax-api-1.0.jar
ws-policy-SNAPSHOT.jar
wstx-asl-2.8.1.jar

BUT, it should be noted that:
1. I am using ADB for data binding, so that is why I wouldn't need xbeans.
2. I am using JDK 1.5, so that is why I don't need xerces, etc.
3. I have *not* tried any asynch client calls.

But, I'm wondering if I am losing performance by not including axis2-doom,
jaxen, etc.  Is this the case?

thx,
aaron




Mime
View raw message